﻿.banner-block{
    width: 100%;
    height: calc(100vh - 178px);
    display: block;
    position: relative;
}
.banner-box{
    width: 100%;
    position: relative;
    max-width: 100%;
    height: 100%;
    padding-bottom: 100px;
    background-color: #cf000d;
    background-image: url(../img/front/banner-bg.jpg);
    background-size: 1920px;
    background-position: center;
    background-repeat: no-repeat;
    overflow: hidden;
}
.banner-svg{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    animation: fade-out 3s ease .3s 1 both;
}
.banner-svg-block{
    width: 100%;
    display: block;
    position: relative;
}
.banner-svg-title{
    width: 100%;
    position:relative;
    z-index: 2;
  
    left: 0;

    animation: fade 1s ease 1s 1 both;
}
.banner-svg-box{
    width: 940px;
    display: block;
    position: absolute;
    top: calc(50% - 250px);
    left: calc(50% - 470px);
}
.banner-svg-img-box{
    width: 100%;
    position: relative;
    
    z-index: 2;
    animation: fade 1s linear .8s 1 both;
}
.banner-box svg{
    width: 100%;
}
.banner-bg-left{
    display: block;
    position: absolute;
    left: 0;
    top: 0;
}
.banner-bg-right{
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}


.main-bg-top{
    width: 100%;
    height: 1px;
    position: relative;
    z-index: 2;
}
.main-bg-bottom{
    width: 100%;
    height: 1px;
    position: relative;
    z-index: 2;
}
.main-bg-top span{
    width: 100%;
    height: 100px;
    display: block;
    position: absolute;
    bottom: -42px;
    left: 0;
    background-image: url(../img/front/main-oval.png);
    background-repeat: no-repeat;
    background-size: 100%;
    background-position:top;
}
.main-bg-bottom span{
    width: 100%;
    height: 100px;
    display: block;
    position: absolute;
    bottom: -47px;
    left: 0;
    background-image: url(../img/front/main-oval.png);
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: bottom;
}
.index-block{
    position: relative;
    z-index: 3;
    background-color: #f5f5f5;
    padding-bottom: 50px;
}

.index-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.main-title-box{
    padding: 60px 0;
    text-align: center;
}
.main-title{
    margin-top: 10px;
    color: #cf000d;
    letter-spacing: 1px;
    font-size: 28px;
    font-weight: bold;
    transform: skew(-10deg);
}
.index-list-box{
    font-size: 0;
}
.index-list{
    width: 300px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
    margin-bottom: 80px;
}
.index-list:nth-child(3n+2){
    margin: 0 150px;
}
.index-list-img-block{
    width: 100%;
    position: relative;
    height: 300px;
    display: block;
    border-radius: 50%;
    overflow: hidden;
    background-color: #FFF;
    overflow: hidden;
    border-radius: 50%;
}
.index-list-img-box{
    width: 100%;
    height: 100%;
    display: block;
}

.index-list-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    transition: all .5s ease;
    opacity: 0;
}

.index-list-mask-circular-box{
    width: 100%;
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(207,0,13,0.8);
}


.index-list-mask--circular-svg{
     width: calc(100% + 2px);
    height: calc(100% + 2px);
    top: -1px;
    left: -1px;
    
    display: block;
    position: absolute;
    
    transform: rotate(180deg);
}
.index-list-mask--circular-svg circle {
    width: 100%;
    height: 100%;
    
    stroke-width: 6px;
}
.index-list-mask--circular-svg:nth-child(1) circle{
    stroke-dasharray: 751;
    stroke-dashoffset: 564;
}
.index-list-mask--circular-svg:nth-child(2){
    transform: rotate(68deg);
}
.index-list-mask--circular-svg:nth-child(2) circle{
    stroke-dasharray: 817;
    stroke-dashoffset: 764;
}
.index-list-mask--circular-svg:nth-child(3){
    transform: rotate(-17deg);
}
.index-list-mask--circular-svg:nth-child(3) circle{
    
    stroke-dasharray: 1314;
    stroke-dashoffset: 1764;
}
.index-list-mask-icon-box{
    width: 100%;
    height: 100%;
    display: block;
    transition: all .8s ease;
    transform: scale(1.2);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 78px;
    position: absolute;
    top: 0;
    left: 0;
    background-image: url(../img/front/hover-icon.png);
}

.index-list-time{
    font-size: 14px;
    color: #666666;
    text-align: center;
    display: block;
    margin-top: 25px;
    letter-spacing: 1px;
}
.index-list-title{
    width: 100%;
    display: block;
    font-size: 16px;
    color: #000000;
    overflow: hidden;
    margin-top: 5px;
    text-overflow: ellipsis;
    white-space: nowrap;
    transition: all .5s ease;
    text-align: center;
}
/*--------------------------news-page-------------------------------*/

.news-page-block{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
    z-index: 3;
    background-color: #f5f5f5;
    padding: 1px 0;
}
.news-page-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 100px auto;
    position: relative;
}
.news-page-icon-box{
    font-size: 0;
    display: block;
    width: 120px;
    max-width: 100%;
    height: 120px;
    background-color: #cf000d;
    border-radius: 50%;
    text-align: center;
    padding: 29px 0;
    box-sizing: border-box;
    position: absolute;
    top: -60px;
    left: -60px;
}
.news-page-icon{
    display: inline-block;
    vertical-align: bottom;
    text-align: center;
}
.news-page-icon-title{
    font-size: 16px;
    font-weight: bold;
    color: #fff100;
    display: inline-block;
    vertical-align: bottom;
    transform: skewX(-10deg);
}
.news-page-icon-time{
    display: block;
    font-size: 16px;
    font-weight: bold;
    color: #FFF;
    letter-spacing: 1px;
    transform: skewX(-10deg);
}
.news-page-info-box{
    padding: 70px 150px;
    box-sizing: border-box;
    width: 100%;
    background-color: #FFF;
}
.news-page-info-title-box{
    font-size: 0;
    display: block;
    padding-bottom: 5px;
    border-bottom: 1px solid #d1d1d1;
}
.news-page-info-title-line{
    width: 10px;
    max-width: 100%;
    height: 26px;
    display: inline-block;
    vertical-align: top;
    margin-right: 10px;
    background-color: #cf000d;
    position: relative;
    top: 6px;
}
.news-page-info-title{
    display: inline-block;
    vertical-align: top;
    width: calc(100% - 20px);
    font-size: 24px;
    font-weight: bold;
    color: #000;
    letter-spacing: 1px;
    transform: skewX(-10deg);
}
.news-page-info-img{
    margin: 20px 0;
}
.news-page-info-edit-box{
    font-size: 16px;
    line-height: 2;
    letter-spacing: 1px;
    margin-bottom: 50px;
}
.news-page-back{
    width: 160px;
    background-color: #cf000d;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    text-align: center;
    transition: all .5s ease;
    border-radius: 20px;
}
.news-page-back i,
.news-page-back span{
    font-size: 16px;
    display: inline-block;
    vertical-align: middle;
    color: #FFF;
    line-height: 40px;
    height: 40px;
    letter-spacing: 1px;
}
.news-page-back i{
    margin-right: 5px;
}



/*過場動畫*/

.dt-loading-2 {
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    z-index: 99999;
    transition: all .4s linear;
    background-color: #FFF;
}

.laying-2 {
   display: table-cell;
   vertical-align: middle;
}

.loading-logo-box{
    width: 154px;
    display: block;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}
.loading-log{
    width: 100%;
    display: block;
    position: relative;
 
}
.loading-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    background: #FFF;
    right: 0%;
    animation:  right2 2s linear 0s 1 forwards;

}

/*fancy-box*/

.fancybox-table{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
}
.fancybox-table.active{
    display: table;
}
.fancybox-table-mid{
    display: table-cell;
    vertical-align: middle;
}
.fancybox-box{
    width: 800px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}
.fancybox-img-box{
    width: 100%;
    height: 600px;
    display: block;
    margin-bottom: 10px;
    border: 1px solid rgba(255,255,255,0.2);
}
.fancybox-article{
    max-height: calc(100vh - 500px);
    overflow: auto;
}
.fancybox-article-title{
    font-size: 20px;
    color: #FFF;
    letter-spacing: 2px;
}
.fancybox-article-p{
    font-size: 16px;
    display: block;
    color: #FFF;
}

.fancybox-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
}
.fancybox-close{
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #ddd;
    cursor: pointer;
    z-index: 3;
    transition: all .5s ease;
}
.fancybox-close:hover{
    background-color: #cf000d;
    color: #FFF;
}

.body-close{
    overflow: hidden;

}
.body-close::-webkit-scrollbar{
    display:none;
}

.fancybox-link{
    position: fixed;
    text-align: center;
    top: calc(50% - 31px);
}
.news-prev{
    right: calc(50% + 427px);
}
.news-next{
    left: calc(50% + 427px);
}
.fancybox-link i{
    font-size: 24px;
    color: #FFF;
    display: block;
    margin-bottom: 10px;
}
.fancybox-link p{
    font-size: 18px;
    color: #FFF;
}
.fancybox-block{
    width: 100%;
    max-height: 100vh;
    overflow: auto;

}
.fancybox-block::-webkit-scrollbar{
    display:none;
}


/*----------------------------*/

.rwd-menu-class-list{
    width: 100%;
    height: 50px;
    line-height: 50px;
    margin: 0 auto;
    color: #cf000d;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    position: relative;
    background-color: #FFF;
    box-sizing: border-box;
    display: none;
    border: 1px solid #cf000d;
    margin-top: 20px;
}
.rwd-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 10px solid transparent;
    border-top: 10px solid #cf000d;
    border-left: 10px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}


/*--------------------hover-----------------------*/
.index-list:hover .index-list-mask-box{
    opacity: 1;
}
.index-list:hover .main-bg{
    transform: scale(1.1);
}
.index-list:hover .index-list-mask-icon-box{
    transform: scale(1);
}
.index-list .index-list-mask-circular-box{
    animation: circular-rotate 4s linear 0s infinite ;
}
.index-list:hover .index-list-title{
    color: #cf000d;
}
.news-page-back:hover{
    background-color: #ad000b;
}
.news-page-back:hover i{
    animation: arrow-left .8s linear 0s infinite alternate;
}
/*--------------------動畫-----------------------*/
.index-list{
    opacity: 0;
}
.index-list.active{
    animation: fade .8s ease 0s 1 forwards; 
}

.news-page-icon-box{
    animation: coin-rotate .8s ease 0s 1 both;
}

.news-page-info-title-box{
    animation: fade .8s ease 0s 1 both;
}
.news-page-info-img{
    animation: fadeInUp .8s ease .2s 1 both;

}
.news-page-info-edit-box{
    animation: fade .8s ease .3s 1 both;
}
.news-page-back{
    animation: fade .8s ease .4s 1 both;
}
@media only screen and (max-width: 1600px){
    .banner-bg-left{
        width: 300px;
        max-width: 100%;
    }
    .banner-bg-right{
        width: 300px;
        max-width: 100%;
    }
    .banner-svg-box{
        width: 600px;
        height: 217px;
        top: calc(50% - 145px);
        left: calc(50% - 300px);
    }
}
@media only screen and (max-width: 1300px){
    .banner-block{
        height: 443px;
    }
    .news-page-box{
        width: 1000px;
    }
    .banner-bg-left{
        width: 200px;
        max-width: 100%;
    }
    .banner-bg-right{
        width: 200px;
        max-width: 100%;
    }
    .banner-svg-box{
        width: 400px;
        height: 145px;
        top: calc(50% - 125px);
        left: calc(50% - 200px);
    }
}

@media only screen and (max-width: 1200px){
    
    .index-list:nth-child(3n+2) {
        margin: 0 50px;
    }
    .news-page-box{
        width: 900px;
    }
    .index-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .index-list-mask-box{
        display: none;
    }
    .banner-bg-right{
        right: -90px;
    }
    .banner-bg-left{
        left: -90px;
    }
    .main-bg-top span{
        bottom: -62px;
    }
    .index-list{
        opacity: 1;
    }
    .index-box{
        width: 750px;
    }
    .index-list:nth-child(3n+2){
        margin: 0;
    }
    .index-list:nth-child(even){
        margin-left: 4%;
    }
    .index-list{
        width: 48%;
    }
    .index-list-img-block{
        height: 360px;
    }
    .news-page-box{
        width: 750px;
    }
    .news-page-icon-box{
        left: 0;
    }
    .news-page-info-box{
        padding: 70px 60px;
    }
    
}

@media only screen and (max-width: 750px){
    .banner-svg-title{
        bottom: 0;
    }
    .index-box {
        width: 550px;
    }
    .index-list-img-block{
        height: 264px;
    }
    .index-list{
        margin-bottom: 50px;
    }
    .news-page-box{
        width: 550px;
    }
    .news-page-icon-box{
        width: 80px;
        height: 80px;
        padding: 15px 0;
    }
    .news-page-icon{
        width: 30px;
    }
    .news-page-icon-title,
    .news-page-icon-time{
        font-size: 11px;
    }
    .news-page-info-box {
        padding: 30px 25px;
    }
    .news-page-info-title{
        font-size: 20px;
    }
    .news-page-info-title-line{
        top: 3px;
    }
    .news-page-box{
        margin: 70px auto;
    }

}

@media only screen and (max-width: 550px){
    .index-box{
        width: 340px;
    }
    .index-list{
        width: 100%;
        display: block;
    }
    .index-list:nth-child(even) {
        margin-left: 0%;
    }
    .index-list-img-block{
        height: 340px;
    }
    .main-title-box{
        padding: 30px 0;
    }
    .main-title{
        font-size: 22px;
    }
    .news-page-box{
        width: 95%;
    }
    .banner-bg-left,
    .banner-bg-right{
        opacity: 0.5;
    }
    .banner-svg-box{
        width: 300px;

        top: calc(50% - 113px);
        left: calc(50% - 150px);
    }
    .banner-block {
        height: 275px;
    }

}
@media only screen and (max-width: 340px){
    .main-bg-bottom span{
        bottom: -20px;
    }
    .index-box{
        width: 320px;
    }
    .index-list-img-block{
        height: 320px;
    }
}


